# frozen_string_literal: true

# rubocop:disable Metrics/AbcSize
def call
  template 'Gemfile.tt', force: true
  template '.rubocop.yml.tt', force: true
  template '.dockerignore.tt', force: true
  template '.gitignore.tt', force: true
  template 'Dockerfile.dev.tt', force: true
  template 'docker-compose.yml.tt', force: true
  template 'README.md.tt', force: true
  template 'database.yml.tt', 'config/database.yml', force: true
  template 'database.yml.tt', 'config/database.sample.yml', force: true
  template 'application_interactor.rb.tt', 'app/core/application_interactor.rb', force: true
  template 'dry.rb.tt', 'config/initializers/dry.rb', force: true
  template 'fallback_controller.rb.tt', 'app/controllers/fallback_controller.rb', force: true
  template 'pages_controller.rb.tt', 'app/controllers/pages_controller.rb', force: true
  template 'index.html.erb.tt', 'app/views/pages/index.html.erb', force: true
  template 'show.html.erb.tt', 'app/views/pages/show.html.erb', force: true
  template 'index.rb.tt', 'app/core/pages/index.rb', force: true
  template 'show.rb.tt', 'app/core/pages/show.rb', force: true
end
# rubocop:enable Metrics/AbcSize

def source_paths
  [__dir__ + '/base']
end

call
